logo

futomi's CGI Cafe製「MP Form Mail CGI」に管理者権限を奪取される脆弱性

  • このエントリーをはてなブックマークに追加

 独立行政法人 情報処理推進機構セキュリティセンター(IPA/ISEC)および有限責任中間法人JPCERTコーディネーションセンター(JPCERT/CC)は3月10日、futomi's CGI Cafe製「MP Form Mail CGI」に管理者権限を奪取される脆弱性が存在すると公表した。

 MP Form Mail CGIは、フォームに入力された内容を電子メールで送信するソフトウェア。今回確認された脆弱性は、MP Form Mail CGI eCommerce版のVer 1.3.0およびそれ以前、MP Form Mail CGI Professional版のVer 3.2.2およびそれ以前に存在する。この脆弱性が悪用されると、遠隔の第三者により、MP Form Mail CGIの管理者になりすまされる可能性がある。

 futomi's CGI Cafeはこの脆弱性を解消した最新バージョンを公開しており、バージョンアップするよう呼びかけている。なお、アップデートまでの回避策としては、当該製品が設置されているサーバの設定で、管理者メニューへのアクセスを不可能にすることが挙げられる。

 なお、この脆弱性の危険度については、以下のように分析している。

  • 攻撃経路:インターネット経由からの攻撃が可能(高)
  • 認証レベル:匿名もしくは認証なしで攻撃が可能(高)
  • 攻撃成立に必要なユーザーの関与:ユーザが何もしなくても攻撃される可能性あり(高)
  • 攻撃の難易度:専門的知識や運がなくとも攻撃可能(高)

-PR-企画特集